﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
        using System;
    using System.Collections.Generic;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;

// no skill required
    public partial class WoodPulpRecipe :
        RecipeFamily
    {
        public WoodPulpRecipe()
        {
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "WoodPulp",
                    Localizer.DoStr("Wood Pulp"),
                    new IngredientElement[]
                    {
               new IngredientElement("Wood", 1, typeof(LoggingSkill)), // 1 log required   
                    },
                    new CraftingElement[]
                    {
               new CraftingElement<WoodPulpItem>(10), // makes 10 pulp
    
                    })
            }; 
            this.LaborInCalories = CreateLaborInCaloriesValue(20); // no specific skill, general labor only
            this.CraftMinutes = CreateCraftTimeValue(0.2f);    
            this.ModsPreInitialize();
            this.Initialize(Localizer.DoStr("Wood Pulp"), typeof(WoodPulpRecipe));
            this.ModsPostInitialize();
            CraftingComponent.AddRecipe(typeof(WorkbenchObject), this);
        }

        /// <summary>Hook for mods to customize RecipeFamily before initialization. You can change recipes, xp, labor, time here.</summary>
        partial void ModsPreInitialize();
        /// <summary>Hook for mods to customize RecipeFamily after initialization, but before registration. You can change skill requirements here.</summary>
        partial void ModsPostInitialize();
    }
}
